@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #0b0c10;
    --bg2-color: #ffffff;
    --second-bg-color: #1f2833;
    --text-color: #c5c6c7;
    --main-color: #66fcf1;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
    overflow: hidden !important;  
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    transition: .3s;
}

.header.sticky {
    background: var(--bg-color);
}

.logo {
    position: relative;
    font-size: 2.5rem;
    color: var(--text-color);
    font-weight: 600;
}

.navbar {
    position: relative;
}

.navbar a {
    font-size: 1.7rem;
    color: var(--text-color);
    font-weight: 500;
    margin-left: 3.5rem;
    transition: 1500ms;
    animation-delay: calc(.2s * var(--i));
}

.navbar a:hover,
.navbar .active {
    border-radius: .5rem;
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
}

#menu-icon {
    position: relative;
    font-size: 3.6rem;
    color: var(--text-color);
    cursor: pointer;
    display: none;
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

/* Scroll animation zoom in */
.reveal {
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transition: all 2s ease;
}

.reveal.active-scroll {
    transform: translateY(0px);
    opacity: 1;
}

/* Home */

.home {
    display: flex;
    align-items: center;
    padding: 0 9%;
    background: url(../img/img4.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    animation: showImg 1s ease forwards;
    animation-delay: 1s;
    opacity: 0;
}

@keyframes showImg {
    0% {
        transform: translateZ(100px);
        opacity: 0;
    }
    100% {
        transform: translateZ(0px);
        opacity: 1;
    }
}

.home-content {
    max-width: 60rem;
    z-index: 99;
}

.home-content h1 {
    position: relative;
    display: inline-block;
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
    animation: showTop 1s ease forwards;
    animation-delay: 1s;
    opacity: 0;
}

@keyframes showTop {
    0% {
        transform: translateY(-100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

.home-content h2 {
    position: relative;
    display: inline-block;
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 1.3;
    margin: 4rem 0 0;
    animation: showTop 1s ease forwards;
    animation-delay: 1s;
    opacity: 0;
}

.home-content h1 span {
    color: var(--text-color);
}

.home-content .text-animate {
    position: relative;
    width: 40rem;
}

.home-content .text-animate h3 {
    font-size: 3.2rem;
    font-weight: 700;
    animation: showLeft 1s ease forwards;
    animation-delay: 2s;
    opacity: 0;
}

@keyframes showLeft {
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

.home-content .text-animate h3::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
}

.home-content p {
    position: relative;
    font-size: 1.6rem;
    margin: 2rem 0 4rem;
    animation: showLeft 1s ease forwards;
    animation-delay: 2s;
    opacity: 0;
}

.btn-box {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 34.5rem;
    height: 5rem;
    transition: .5s ease;
    animation: showRight 1s ease forwards;
    animation-delay: calc(.2s * var(--i));
    opacity: 0;
}

.btn-box .btn {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: 1500ms;
}

.btn-box .btn:hover {
    color: var(--main-color);
    transform: translateY(-15px);
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
}

.btn-box .btn::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.btn-box .btn:hover::before {
    width: 100%;
}

/*------ Home ------*/

.home-sci {
    position: absolute;
    bottom: 4rem;
    width: 170px;
    display: flex;
    justify-content: space-between;
}

.home-sci a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s ease;
    animation: showRight 1s ease forwards;
    animation-delay: calc(.2s * var(--i));
    opacity: 0;
}

@keyframes showRight {
    0% {
        transform: rotateX(100deg);
        opacity: 0;
    }
    100% {
        transform: rotateX(0deg);
        opacity: 1;
    }
}

.home-sci a:hover {
    color: var(--bg-color);
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
}

.home-sci a::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    background: var(--main-color);
    z-index: -1;
    transition: .5s;
}

.home-sci a:hover::before {
    width: 100%;
}

/* Contact Home Sci */

.home-sci2 {
    position: relative;
    bottom: 4rem;
    width: 120px;
    display: flex;
    justify-content: space-around;
}

.home-sci2 a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background: transparent;
    border: .2rem solid var(--bg-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.home-sci2 a:hover {
    color: var(--bg2-color);
    box-shadow: 0 0 10px #0b0c10,
                0 0 20px #0b0c10,
                0 0 40px #0b0c10,
                0 0 80px #0b0c10,
                0 0 100px #0b0c10;
}

.home-sci2 a::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.home-sci2 a:hover::before {
    width: 100%;
}

span {
    color: var(--main-color);
}

/*------ About ------*/

.about  {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    background: var(--bg2-color);
    padding-bottom: 6rem;
}

.heading {
    position: relative;
    font-size: 5rem;
    margin-bottom: 2rem;
    text-align: center;
}

.about .heading {
    position: relative;
    font-size: 5rem;
    margin-bottom: 2rem;
    text-align: center;
    color: var(--bg-color);
}

.about-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.about-container .about-img {
    position: relative;
    display: flex;
    width: 300px;
    height: 300px;
    border-radius: 50%;
    overflow: hidden;
}

.about-img img {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    transition: .5s;
}

.about-img img:hover {
    transform: scale(1.2);
}

.about-text {
    position: relative;
    color: var(--bg-color);
    align-items: center;
    text-align: justify;
    max-width: 700px;
    display: flex;
    flex-direction: column;
}

.about-text h3 {
    font-size: 2.6rem;
    align-items: center;
}

.about-text p {
    font-size: 1.6rem;
    margin: 1rem 0 1rem;
    align-items: center;
    justify-content: center;
}

.btn-box.btns {
    display: inline-block;
    width: 15rem;
}

.btn-box.btns a::before {
    background: var(--bg2-color);
}

.btn-box .btn2 {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background: var(--bg-color);
    border: .2rem solid var(--bg-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg2-color);
    z-index: 1;
    overflow: hidden;
    transition: 1500ms;
}

.btn-box .btn2:hover {
    color: var(--bg-color);
    transform: translateY(-15px);
    box-shadow: 0 0 10px #0b0c10,
                0 0 20px #0b0c10,
                0 0 40px #0b0c10,
                0 0 80px #0b0c10,
                0 0 100px #0b0c10;
}

.btn-box .btn2::before {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.btn-box .btn2:hover::before {
    width: 100%;
}

.education {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: auto;
    padding-bottom: 5rem;
}

.education .education-row {
     display: flex;
     flex-wrap: wrap;
     gap: 5rem;
}

.education-row .education-column {
    flex: 1 1 40rem;
}  

.education-column .title {
    font-size: 2.5rem;  
    margin: 0 0 1.5rem 2rem;
}

.education-box .education-content {
    position: relative;
    padding-left: 2rem;
}

.education-content .content {
    position: relative;
    padding: 1.5rem;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 2rem;
    overflow: hidden;
    text-align: center;
}

.education-content .content:hover {
    position: relative;
    padding: 1.5rem;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 2rem;
    overflow: hidden;
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
    z-index: 1;
    transition: 1500ms;
    transform-style: preserve-3d;
}

.education-content .content::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--second-bg-color);
    z-index: -1;
    transition: 1500ms;
    transform-style: preserve-3d;
}

.education-content .content:hover::before {
    width: 100%;
    transform: rotateY(180deg);
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
}

.education-content .content .year {
    font-size: 1.5rem;
    color: var(--main-color);
    padding-bottom: .5rem;
}

.education-content .content .year i {
    padding-right: .5rem;
}

.education-content .content h3 {
    font-size: 2rem;
}

.education-content .content p {
    font-size: 1.6rem;
    padding-top: .5rem;
}

/* Experience column */
.experience-column {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    min-height: auto;
    padding-bottom: 5rem;
}

.experience-container {
    margin: 40px;
    padding: 20px;
    width: 300px;
    height: 350px;
    perspective: 800px;
}

.experience-column .title {
    font-size: 2.5rem;  
    margin: 0 0 1.5rem 2rem;
}

.experience-container:hover > .experience-card {
    cursor: pointer;
    transform: rotateY(180deg) rotateZ(180deg);
}

.experience-card {
    height: 100%;
    transition: 1500ms;
    transform-style: preserve-3d;
}

.experience-front {
    position: absolute;
    border-radius: 2rem;
    box-shadow: 0 0 5px 2px #66fcf1;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    background: var(--second-bg-color);
    color: var(--text-color);
}

.experience-card .experience-front h3, .experience-back h3 {
    padding: 1rem;
    margin-bottom: 2rem;
    text-align: center;
    justify-content: center;
    font-family: sans-serif;
    border-radius: 2rem;
    font-size: 2rem;
    font-weight: 500;
}

.experience-card .experience-front p, .experience-back p {
    justify-content: center;
    text-align: center;
    font-size: 1.5rem;
   
}

.experience-card .experience-front .year, .experience-back .year {
    font-size: 1.5rem;
    color: var(--main-color);
    padding-bottom: .5rem;
}

.experience-card .experience-front .year i, .experience-back .year i {
    margin-left: 1rem;
}

.experience-back {
    background-color: var(--main-color);
    transform: rotateY(180deg) rotateZ(180deg);
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 2rem;
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
    position: relative;
    backface-visibility: hidden;
    color: var(--bg-color);
}

/* Portfolio */
.portfolio {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: auto;
    background: var(--bg2-color);
    padding-bottom: 5rem;
}

.portfolio .heading {
    color: var(--bg-color);
}

.portfolio h2 {
    flex-wrap: wrap;
    margin-bottom: 20px;
}

/* carousel */
.carousel{
    height: 69vh;
    width: 69vw;
    overflow: hidden;
    position: relative;
}
.carousel .list .item{
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0 0 0 0;
}
.carousel .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.carousel .list .item .content{
    position: absolute;
    top: 20%;
    width: 1140px;
    max-width: 80%;
    left: 50%;
    transform: translateX(-50%);
    padding-right: 30%;
    box-sizing: border-box;
    color: #fff;
    text-shadow: 0 5px 10px #0004;
}
.carousel .list .item .author{
    font-weight: bold;
    letter-spacing: 10px;
}
.carousel .list .item .title,
.carousel .list .item .topic{
    font-size: 5em;
    font-weight: bold;
    line-height: 1.3em;
}
.carousel .list .item .topic{
    color: var(--main-color);
}
.carousel .list .item .buttons{
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    gap: 5px;
    margin-top: 20px;
}
.carousel .list .item .buttons button{
    border: none;
    background-color: #eee;
    letter-spacing: 3px;
    font-family: Poppins;
    font-weight: 500;
}
.carousel .list .item .buttons button:nth-child(2){
    background-color: transparent;
    border: 1px solid #fff;
    color: #eee;
}
/* thumbail */
.thumbnail{
    position: absolute;
    bottom: 50px;
    left: 50%;
    width: max-content;
    z-index: 10;
    display: flex;
    gap: 20px;
}
.thumbnail .item{
    width: 150px;
    height: 220px;
    flex-shrink: 0;
    position: relative;
}
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}
.filblur {
    position: absolute;
    top: 130px;
    width: 100%;
    height: 10rem;
    background: #0b0c10;
    filter: blur(5px);
}
.thumbnail .item .content{
    color: #fff;
    position: absolute;
    bottom: 10px;
    left: 10px;
    right: 10px;
}
.thumbnail .item .content .title{
    font-weight: 500;
}
.thumbnail .item .content .description{
    font-weight: 300;
}
/* arrows */
.arrows{
    position: absolute;
    top: 80%;
    right: 52%;
    z-index: 100;
    width: 300px;
    max-width: 30%;
    display: flex;
    gap: 10px;
    align-items: center;
}
.arrows button{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #eee4;
    border: none;
    color: #fff;
    font-family: monospace;
    font-weight: bold;
    transition: .5s;
}
.arrows button:hover{
    background-color: #fff;
    color: #000;
}

/* animation */
.carousel .list .item:nth-child(1){
    z-index: 1;
}

/* animation text in first item */

.carousel .list .item:nth-child(1) .content .author,
.carousel .list .item:nth-child(1) .content .title,
.carousel .list .item:nth-child(1) .content .topic,
.carousel .list .item:nth-child(1) .content .des,
.carousel .list .item:nth-child(1) .content .buttons
{
    transform: translateY(50px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s 1s linear 1 forwards;
}
@keyframes showContent{
    to{
        transform: translateY(0px);
        filter: blur(0px);
        opacity: 1;
    }
}
.carousel .list .item:nth-child(1) .content .title{
    animation-delay: 1.2s!important;
}
.carousel .list .item:nth-child(1) .content .topic{
    animation-delay: 1.4s!important;
}
.carousel .list .item:nth-child(1) .content .des{
    animation-delay: 1.6s!important;
}
.carousel .list .item:nth-child(1) .content .buttons{
    animation-delay: 1.8s!important;
}
/* create animation when next click */
.carousel.next .list .item:nth-child(1) img{
    width: 150px;
    height: 220px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    border-radius: 30px;
    animation: showImage .5s linear 1 forwards;
}
@keyframes showImage{
    to{
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
}

.carousel.next .thumbnail .item:nth-last-child(1){
    overflow: hidden;
    animation: showThumbnail .5s linear 1 forwards;
}
.carousel.prev .list .item img{
    z-index: 100;
}
@keyframes showThumbnail{
    from{
        width: 0;
        opacity: 0;
    }
}
.carousel.next .thumbnail{
    animation: effectNext .5s linear 1 forwards;
}

@keyframes effectNext{
    from{
        transform: translateX(150px);
    }
}

/* running time */

.carousel .time{
    position: absolute;
    z-index: 1000;
    width: 0%;
    height: 3px;
    background-color: var(--main-color);
    left: 0;
    top: 0;
}

.carousel.next .time,
.carousel.prev .time{
    animation: runningTime 2s linear 1 forwards;
}
@keyframes runningTime{
    from{ width: 100%}
    to{width: 0}
}


/* prev click */

.carousel.prev .list .item:nth-child(2){
    z-index: 2;
}

.carousel.prev .list .item:nth-child(2) img{
    animation: outFrame 0.5s linear 1 forwards;
    position: absolute;
    bottom: 0;
    left: 0;
}
@keyframes outFrame{
    to{
        width: 150px;
        height: 220px;
        bottom: 50px;
        left: 50%;
        border-radius: 20px;
    }
}

.carousel.prev .thumbnail .item:nth-child(1){
    overflow: hidden;
    opacity: 0;
    animation: showThumbnail .5s linear 1 forwards;
}
.carousel.next .arrows button,
.carousel.prev .arrows button{
    pointer-events: none;
}
.carousel.prev .list .item:nth-child(2) .content .author,
.carousel.prev .list .item:nth-child(2) .content .title,
.carousel.prev .list .item:nth-child(2) .content .topic,
.carousel.prev .list .item:nth-child(2) .content .des,
.carousel.prev .list .item:nth-child(2) .content .buttons
{
    animation: contentOut 1.5s linear 1 forwards!important;
}

@keyframes contentOut{
    to{
        transform: translateY(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}
@media screen and (max-width: 678px) {
    .carousel .list .item .content{
        padding-right: 0;
    }
    .carousel .list .item .content .title{
        font-size: 30px;
    }
}

/* Pop up code for works */
#overlay {
    display: none;
    position: fixed;
    z-index: 1000; /* Ensure it's above other content */
  }
  
  #popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1001; /* Above overlay */
    max-width: 600px;
  }

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black background */
    z-index: 1000; /* Ensure it's above other content */
}

.popup {
    display: none;
    position: absolute;
    background-color: var(--second-bg-color);
    padding: 20px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2); /* Shadow effect */
    z-index: 1001; /* Ensure it's above the overlay */
    width: 80%;
    height: 80%;
    overflow-y: auto; /* Enable vertical scrolling */
    border-radius: 8px;
}

.popup-header {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid #ccc;
  
}

.popup-header h2 {
    align-items: center;
    justify-content: center;
    padding-left: 10px;
    font-weight: 1000;
    font-size: 3rem;

}

.popup-header span {
    position: relative;
    display: inline-flex;
    padding: .8rem;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    z-index: 1;
    overflow: hidden;
}

.popup-header h2,
.popup-header span {
    margin-left: 1rem;
}

.popup-header span::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--second-bg-color);
    z-index: -1;
}

.popup-header span:hover::before {
    width: 100%;
}

.popup-header span i {
    font-size: 2.4rem;
    color: var(--bg-color);
    transition: .5s;
}

.popup-header span:hover i {
    color: var(--main-color);
}

.popup-header .close-btn:hover {
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
    transition: 1500ms;
}

.menu {
    overflow: hidden !important;
    gap: 10px;
    max-height: 100%; /* Limit height and enable scrolling inside popup */
    overflow-y: auto;
}

.menu-item {
    display: grid;
    grid-template-columns: auto auto;
    padding: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.menu-item img {
    width: 100%;
    padding: 2rem;
}

.menu-item img:hover {
    background-color: var(--main-color);
    color: var(--second-bg-color);
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
    transition: 1500ms;
}

/* Banner 3D image */
.banner{
    width: 100%;
    height: 29vh;
    text-align: center;
    overflow: hidden;
    position: relative;
}

.banner .slider{
    position: absolute;
    width: 200px;
    height: 250px;
    top: 10%;
    left: calc(50% - 100px);
    transform-style: preserve-3d;
    transform: perspective(1000px);
    animation: autoRun 20s linear infinite;
    z-index: 2;
}
@keyframes autoRun{
    from{
        transform: perspective(1000px) rotateX(-16deg) rotateY(0deg);
    }to{
        transform: perspective(1000px) rotateX(-16deg) rotateY(360deg);
    }
}

.banner .slider .item {
    position: absolute;
    inset: 0 0 0 0;
    transform: 
        rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
        translateZ(200px);
}

.banner .slider .item img {
    width: 50%;
    height: 50%;
    object-fit: cover;
}

@media screen and (max-width: 1023px) {
    .banner .slider{
        width: 160px;
        height: 200px;
        left: calc(50% - 80px);
    }
    .banner .slider .item{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(300px);
    }
}

@media screen and (max-width: 767px) {
    .banner .slider{
        width: 100px;
        height: 150px;
        left: calc(50% - 50px);
    }
    .banner .slider .item{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(180px);
    }
}

/* Skills */
.skills {
    min-height: auto;
    padding-bottom: 7rem;
    
}

.skills .skills-row {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}

.skills-row .skills-column {
    flex: 1 1 40rem;
}

.skills-column .title {
    font-size: 2.5rem;
    margin: 0 0 1.5rem;
}

.skills-box .skills-content {
    position: relative;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    padding: .5rem 1.5rem;
    z-index: 1;
    overflow: hidden;
    background: var(--second-bg-color);
}

.skills-box .skills-content::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.skills-box .skills-content:hover::before {
    width: 100%;
}

.skills-content .progress {
    padding: 1rem 0;
}

.skills-content .progress h3 {
    font-size: 1.7rem;
    display: flex;
    justify-content: space-between;
}

.skills-content .progress h3 span {
    color: var(--text-color);
}

.skills-content .progress .bar {
    height: 2.5rem;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
    padding: .5rem;
    margin: 1rem 0;
}

.skills-content .progress .bar span {
    display: block;
    height: 100%;
    border-radius: .3rem;
    background: var(--main-color);
}

.skills-column:nth-child(1) .skills-content .progress:nth-child(1) .bar span {
    width: 90%;
}

.skills-column:nth-child(1) .skills-content .progress:nth-child(2) .bar span {
    width: 80%;
}

.skills-column:nth-child(1) .skills-content .progress:nth-child(3) .bar span {
    width: 65%;
}

.skills-column:nth-child(1) .skills-content .progress:nth-child(4) .bar span {
    width: 75%;
}

.skills-column:nth-child(2) .skills-content .progress:nth-child(1) .bar span {
    width: 95%;   
}

.skills-column:nth-child(2) .skills-content .progress:nth-child(2) .bar span {
    width: 70%;
}

.skills-column:nth-child(2) .skills-content .progress:nth-child(3) .bar span {
    width: 85%;
}

.skills-column:nth-child(2) .skills-content .progress:nth-child(4) .bar span {
    width: 75%;
}


/* Progress bar */
.bar-container h3 {
    position: absolute;
    font-size: 1.5em;
    margin-left: 2em;
    color: var(--bg-color);
}

.bar-container {
    width: 600px;
    background: var(--second-bg-color);
    height: 30px;
    border-radius: .5rem;
    animation: animateBarCon 2s ease-in;
}

@keyframes animateBarCon {
    0% {
        width: 50%;
    }
    100% {
        width: 100%;
    }
}

.progress-bar {
    background: var(--main-color);
    height: 30px;
    border-radius: .5rem;
    color: var(--bg-color);
    display: flex;
    align-items: center;
    justify-content: right;
    margin-top: .9em;
    background-size: 400% 400%;
    animation: animateBar 10s ease-in infinite;
    -webkit-animation: animateBar 10s ease-in infinite;
}

@keyframes animateBar {
    0% {
        background-position: 0 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0 50%;
    }
}

/* Circular Bar */
.radial-bars {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-start;
}

.radial-bars .radial-circle {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 120px;
    height: 120px;
    border-radius: 50%;
    margin: 7%;
}

.radial-bars .radial-circle::before {
    content: '';
    position: relative;
    inset: 5px;
    border-radius: 50%;
}

.radial-bars .radial-circle::after {
    content: '';
    position: absolute;
    width: 100px;
    height: 100px;
    background: var(--second-bg-color);
    border-radius: 50%;
}

.radial-bars .radial-circle .percentage {
    position: relative;
    color: var(--text-color);
    z-index: 10;
    line-height: 1em;
    font-size: 2em;

}

.radial-bars .radial-circle h4 {
    position: relative;
    color: #fff;
    z-index: 10;
    font-weight: 500;
    font-size: 0.8em;
    text-transform: uppercase;
    line-height: 0.6em;
}
.radial-circle {
    opacity: 0; /* Start with opacity 0 to hide initially */
    transition: opacity 1s ease; /* Smooth transition when becoming visible */
}

.radial-circle.animated {
    opacity: 1; /* Make visible when animated class is added */
}

/* Contact */
.contact {
    min-height: auto;
    padding-bottom: 7rem;
    background: var(--bg2-color);
}

.contact .heading {
    color: var(--bg-color);
}

.contact form {
    max-width: 70rem;
    margin: 0 auto;
    text-align: center;
}

.contact form .input-box {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box .input-field {
    position: relative;
    width: 49%;
    margin: .8rem 0;
}

.contact form .input-box .input-field input,
.contact form .textarea-field textarea {
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--second-bg-color);
    opacity: 70%;
    background: transparent;
    border-radius: .6rem;
    border: .2rem solid var(--bg-color);
}

.contact form .input-box .input-field input::placeholder,
.contact form .textarea-field textarea::placeholder {
    color: var(--text-color);
}

.contact form .focus {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--text-color);
    border-radius: .6rem;
    z-index: -1;
    transition: .5s;
}

.contact form .input-box .input-field input:focus~.focus,
.contact form .input-box .input-field input:valid~.focus,
.contact form .textarea-field textarea:focus~.focus,
.contact form .textarea-field textarea:valid~.focus {
    width: 100%;
}

.contact form .textarea-field {
    position: relative;
    margin: .8rem 0 2.7rem;
    display: flex;
}

.contact form .textarea-field textarea {
    resize: none;
}

.contact form .btn-box.btns .btn {
    cursor: pointer;
}

.btn-box.btns button::before {
    background: var(--bg2-color);
}

/* Footer Section */

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 9%;
    background: var(--bg-color);
}

.footer-text p {
    font-size: 1.6rem;
}

.footer-iconTop a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    z-index: 1;
    overflow: hidden;
}

.footer-iconTop a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
}

.footer-iconTop a:hover::before {
    width: 100%;
}

.footer-iconTop a i {
    font-size: 2.4rem;
    color: var(--bg-color);
    transition: .5s;
}

.footer-iconTop a:hover i {
    color: var(--main-color);
}

.footer-iconTop:hover {
    box-shadow: 0 0 10px #66fcf1,
                0 0 20px #66fcf1,
                0 0 40px #66fcf1,
                0 0 80px #66fcf1,
                0 0 100px #66fcf1;
    transition: 1500ms;
}

/* BREAKPOINTS */
@media (max-width: 1200px){
    html {
        font-size: 55%;
    }

    .menu {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 4%;
    }
    
    section {
        padding: 10rem 4% 2rem;
    }
    .home {
        padding: 0 4%;
    }

    .footer {
        padding: 2rem 4%;
    }
    
    .bar-container {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .header {
        background: var(--bg-color);
    }

    #menu-icon {
        display: block;
    }
    
    .navbar {
        position: absolute;
        top: 100%;
        left: -100%;
        width: 100%;
        padding: 1rem 4%;
        background: var(--main-color);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        z-index: 1;
        transition: .25s ease;
        transition-delay: .25s;
    }

    .navbar.active {
        left: 0;
        transition-delay: 0s;
    }

    .navbar .active-nav {
        position: absolute;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        z-index: -1;
        transition: .25s ease;
        transition-delay: 0s;
    }

    .navbar.active .active-nav {
        left: 0;
        transition-delay: .25s;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        transform: translateX(-20rem);
        transition: .25s ease;
        transition-delay: 0s;
    }

    .navbar.active a {
        transform: translateX(0);
        transition-delay: .25s;
    }

    .home-imgHover {
        pointer-events: none;
        background: var(--bg-color);
        opacity: .6;
    }
    .menu {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 520px) {
    html {
        font-size: 50%;
    }

    .home-content h1 {
        display: flex;
        flex-direction: column;
    }

    .home-sci {
        width: 160px;
    }

    .home-sci a {
        width: 38px;
        height: 38px;
    }

}

@media (max-width: 462px) {
    .home-content h1 {
        font-size: 5.2rem;
    }

    .education {
        padding: 10rem 4% 5rem 5%;
    }

    .contact form .input-box .input-field {
        width: 100%;
    }

    .footer {
        flex-direction: column-reverse;
    }

    footer p {
        margin-top: 2rem;
        text-align: center;
    }

    .menu {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 371px) {
    .home {
        justify-content: center;
    }

    .home-content {
        display: flex;
        align-items: center;
        flex-direction: column;
        text-align: center; 
    }

    .home-content h1 {
        font-size: 5rem;
    }
}


/* KEYFRAMES ANIMATION */
@keyframes homeBgText {
    0%, 10%, 100% {
        background-position: -33rem 0;
    }
    65%, 85% {
        background-position: 0 0;
    }
}

@keyframes homeCursorText {
    0%, 10%, 100% {
        width: 0;
    }
    65%, 78%, 85% {
        width: 100%;
        opacity: 1;
    }
    75%, 81% {
        opacity: 0;
    }
}

/* KEYFRAMES FOR SPINNER */
@keyframes aboutSpinner {
    100% {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}